Package org.simpleframework.transport

## Class TransportException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.simpleframework.transport.TransportException

- All Implemented Interfaces:
    `java.io.Serializable`

      public class TransportException
      extends java.io.IOException

  The `TransportException` object is thrown when there is a problem with the transport. Typically this is done thrown if there is a problem reading or writing to the transport.
  Author:
    Niall Gallagher
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TransportException​(java.lang.String message)` | Constructor for the `TransportException` object.
    `TransportException​(java.lang.String message, java.lang.Throwable cause)` | Constructor for the `TransportException` object.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TransportException

          public TransportException​(java.lang.String message)

      Constructor for the `TransportException` object. If there is a problem sending or reading from a transport then it will throw a transport exception to report the error.
      Parameters:
        `message` - this is the message associated with the error

    - #### TransportException

          public TransportException​(java.lang.String message,
                                    java.lang.Throwable cause)

      Constructor for the `TransportException` object. If there is a problem sending or reading from a transport then it will throw a transport exception to report the error.
      Parameters:
        `message` - this is the message associated with the error
        `cause` - this is the cause of the producer exception